astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- VSA Queries (`astroquery.vsa`) »
- clean_catalog

# clean_catalog

astroquery.vsa.clean_catalog(wfau_catalog, *, clean_band='K_1', badclass=-9999, maxerrbits=41, minerrbits=0, maxpperrbits=60)

  Attempt to remove ‘bad’ entries in a catalog.

  Parameters:
    wfau_catalog `BinTableHDU`

      A FITS binary table instance from the WFAU survey.

    clean_band`'K_1'`, `'K_2'`, `'J'`, `'H'`

      The band to use for bad photometry flagging.

    badclass int

      Class to exclude.

    minerrbits int
    maxerrbits int

      Inside this range is the accepted number of error bits.

    maxpperrbits int

      Exclude this type of error bit.